[med-svn] [Git][med-team/flash][master] 3 commits: Add test and reference data
Pranav Ballaney
gitlab at salsa.debian.org
Wed Jun 17 01:36:04 BST 2020
Pranav Ballaney pushed to branch master at Debian Med / flash
Commits:
584f55fc by Pranav Ballaney at 2020-06-17T05:37:20+05:30
Add test and reference data
- - - - -
05215e02 by Pranav Ballaney at 2020-06-17T05:37:40+05:30
Add autopkgtests
- - - - -
1ccea99f by Pranav Ballaney at 2020-06-17T05:42:53+05:30
Install docs
- - - - -
11 changed files:
- + debian/README.test
- debian/changelog
- debian/docs
- + debian/examples
- + debian/tests/control
- + debian/tests/data/README.test_data
- + debian/tests/data/frag_1.fastq
- + debian/tests/data/frag_2.fastq
- + debian/tests/data/ref/out.hist
- + debian/tests/data/ref/out.histogram
- + debian/tests/run-unit-test
Changes:
=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+ sh run-unit-test
+
+in order to confirm its integrity.
=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+flash (1.2.11-2) UNRELEASED; urgency=medium
+
+ * Add test and reference data
+ * Add autopkgtests
+ * Install docs
+
+ -- Pranav Ballaney <ballaneypranav at gmail.com> Wed, 17 Jun 2020 05:37:47 +0530
+
flash (1.2.11-1) unstable; urgency=medium
* Initial release (Closes: #961587)
=====================================
debian/docs
=====================================
@@ -1 +1,4 @@
README*
+debian/README*
+debian/tests/run-unit-test
+debian/tests/data/README*
\ No newline at end of file
=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/*
\ No newline at end of file
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/data/README.test_data
=====================================
@@ -0,0 +1,6 @@
+Files: frag*
+Source: The "No Error" dataset for Flash, avaiable at http://ccb.jhu.edu/software/FLASH/
+Direct URL: http://ccb.jhu.edu/software/FLASH/noError.tar.gz
+
+Files: ref/*
+Source: Produced by running Flash on the reads described above.
\ No newline at end of file
=====================================
debian/tests/data/frag_1.fastq
=====================================
The diff for this file was not included because it is too large.
=====================================
debian/tests/data/frag_2.fastq
=====================================
The diff for this file was not included because it is too large.
=====================================
debian/tests/data/ref/out.hist
=====================================
@@ -0,0 +1,64 @@
+121 1
+125 2
+126 3
+128 2
+131 4
+132 1
+133 3
+134 3
+135 3
+136 3
+137 4
+138 2
+139 6
+140 7
+141 6
+142 4
+143 6
+144 3
+145 6
+146 7
+147 6
+148 5
+149 9
+150 12
+151 7
+152 7
+153 10
+154 12
+155 14
+156 9
+157 9
+158 14
+159 15
+160 13
+161 18
+162 14
+163 14
+164 13
+165 18
+166 19
+167 13
+168 17
+169 11
+170 19
+171 24
+172 22
+173 26
+174 18
+175 24
+176 22
+177 23
+178 26
+179 32
+180 26
+181 20
+182 22
+183 18
+184 22
+185 23
+186 27
+187 30
+188 26
+189 18
+190 22
=====================================
debian/tests/data/ref/out.histogram
=====================================
@@ -0,0 +1,70 @@
+121 **
+122
+123
+124
+125 ****
+126 ******
+127
+128 ****
+129
+130
+131 *********
+132 **
+133 ******
+134 ******
+135 ******
+136 ******
+137 *********
+138 ****
+139 *************
+140 ***************
+141 *************
+142 *********
+143 *************
+144 ******
+145 *************
+146 ***************
+147 *************
+148 ***********
+149 ********************
+150 ***************************
+151 ***************
+152 ***************
+153 **********************
+154 ***************************
+155 *******************************
+156 ********************
+157 ********************
+158 *******************************
+159 *********************************
+160 *****************************
+161 ****************************************
+162 *******************************
+163 *******************************
+164 *****************************
+165 ****************************************
+166 ******************************************
+167 *****************************
+168 **************************************
+169 ************************
+170 ******************************************
+171 ******************************************************
+172 *************************************************
+173 **********************************************************
+174 ****************************************
+175 ******************************************************
+176 *************************************************
+177 ***************************************************
+178 **********************************************************
+179 ************************************************************************
+180 **********************************************************
+181 *********************************************
+182 *************************************************
+183 ****************************************
+184 *************************************************
+185 ***************************************************
+186 ************************************************************
+187 *******************************************************************
+188 **********************************************************
+189 ****************************************
+190 *************************************************
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -e
+
+pkg=flash
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # Double quote below to expand the temporary directory variable now versus
+ # later is on purpose.
+ # shellcheck disable=SC2064
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+flash frag_1.fastq frag_2.fastq 2>&1 | tee flash.log
+
+for f in out.hist*
+do
+ echo Comparing $f ref/$f
+ diff -y --suppress-common-lines $f ref/$f
+done
\ No newline at end of file
View it on GitLab: https://salsa.debian.org/med-team/flash/-/compare/36402d4b8b1403feda8aae690bc4b3f2f6bca83e...1ccea99f8780cfd5cc2fef10e05b87a487461ee9
--
View it on GitLab: https://salsa.debian.org/med-team/flash/-/compare/36402d4b8b1403feda8aae690bc4b3f2f6bca83e...1ccea99f8780cfd5cc2fef10e05b87a487461ee9
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200617/29df12c5/attachment-0001.html>
More information about the debian-med-commit
mailing list